declare const _default: {
    name: string;
    emits: string[];
    props: {
        title: {
            type: StringConstructor;
            default: string;
        };
        schemaList: any[];
        columnList: any[];
        hasCheck: {
            type: BooleanConstructor;
            default: boolean;
        };
    };
    components: {
        CheckBoxItem: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    data: () => {
        showDatabaseObjects: boolean;
        active: boolean;
        selectAll: boolean;
        isEditing: boolean;
    };
    watch: {
        columnList: () => void;
    };
    methods: {
        setCheckAll(): void;
        itemDoubleClick(selectedText: String): void;
    };
    mounted(): Promise<void>;
};
export default _default;
