declare const _default: {
    name: string;
    props: {
        id: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        checked: {
            type: BooleanConstructor;
            default: boolean;
        };
        group: {
            type: StringConstructor;
            default: string;
        };
    };
    data: () => {
        currentCheckStatus: boolean;
        isEditing: boolean;
    };
    methods: {
        checkChange(): void;
    };
    watch: {
        checked: (value: Boolean) => void;
    };
    mounted(): void;
};
export default _default;
