declare const _default: {
    name: string;
    components: {
        CheckInput: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    props: {
        id: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        optionList: any[];
        group: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: StringConstructor;
            default: string;
        };
    };
    data: () => {
        currentChecked: any;
        selectedOption: string;
        isEditing: boolean;
    };
    methods: {
        onCheckChange(value: number): void;
        getCurrentChecked(): void;
    };
    watch: {
        value: () => void;
    };
    mounted(): void;
};
export default _default;
