declare const _default: {
    name: string;
    props: {
        id: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: StringConstructor;
            default: string;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        group: {
            type: StringConstructor;
            default: string;
        };
        optionList: any[];
        invalid: {
            type: BooleanConstructor;
            default: boolean;
        };
    };
    data: () => {
        selectedValue: string;
        selectedText: string;
        isEditing: boolean;
    };
    methods: {
        handleClick(i: any): void;
        changeSelectedText(selectedItem: string): void;
    };
    mounted(): void;
    watch: {
        value: (selectedItem: any) => void;
    };
};
export default _default;
