import { DirectoryFilesService } from "../../../domain/services/DirectoryFiles.service";
declare const _default: {
    name: string;
    components: {
        InputForm: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        RowForm: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    props: {
        id: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        attribute: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        labelSample: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: StringConstructor;
            default: string;
        };
        example: {
            type: StringConstructor;
            default: string;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        placeholderSample: {
            type: StringConstructor;
            default: string;
        };
        group: {
            type: StringConstructor;
            default: string;
        };
        taskName: {
            type: StringConstructor;
            default: string;
        };
        taskDescription: {
            type: StringConstructor;
            default: string;
        };
    };
    data: () => {
        directoryFilesService: DirectoryFilesService;
        attributes: any[];
        responseValidate: string;
        showResponseValidate: boolean;
        ico: string;
        color: string;
        isEditing: boolean;
    };
    watch: {
        isEditing: () => void;
    };
    methods: {
        updatevalue(value: any): void;
        updateexample(value: any): void;
        validateExpression(): Promise<void>;
        addAttribute(attributeName: string, value: string): void;
        /** Validate that the value of the inputs of regular expression are not empty,
        If some is empty, just not make the request and show that inputs in screen */
        validateInputsRegularExpression(attributes: {
            attribute: String;
            value: String;
        }[]): String[];
    };
    mounted(): void;
};
export default _default;
