import { TaskService } from "../../../domain/services/Task.service";
import { ScheduleType } from "../../../domain/models/tasks/enums/ScheduleType.enum";
declare const _default: {
    name: string;
    components: {
        RowForm: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        ContinuousSchedule: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        DailySchedule: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        MonthlySchedule: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        WeeklySchedule: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        YearlySchedule: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        DropDownListDS: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        Modal: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    props: {
        title: {
            type: StringConstructor;
            default: string;
        };
        modalActive: BooleanConstructor;
        showOkButton: BooleanConstructor;
        showConfirmButton: BooleanConstructor;
        showCloseButton: BooleanConstructor;
        backgroundColor: StringConstructor;
        showLoad: BooleanConstructor;
        confirmButtonText: {
            default: string;
            type: StringConstructor;
        };
        taskId: {
            default: string;
            type: StringConstructor;
        };
    };
    data: () => {
        load: boolean;
        typeScheduleList: {
            text: string;
            value: ScheduleType;
        }[];
        scheduleType: string;
        text: string;
        showContinuousSchedule: boolean;
        showDailySchedule: boolean;
        showMonthlySchedule: boolean;
        showWeeklySchedule: boolean;
        showYearlySchedule: boolean;
        showText: boolean;
        closeModalSchedule: boolean;
        taskService: TaskService;
        tasks: any[];
        scheduleData: any;
        scheduleId: string;
    };
    mounted(): Promise<void>;
    updated(): void;
    methods: {
        bodyOverflowModify(): void;
        resetControls(): void;
        save(text: string, status: string): void;
        closeModalInfo(): void;
        closeModal(): void;
        okModal(): void;
        selectchange(value: string): void;
    };
};
export default _default;
