import { DirectoryFilesService } from "../../domain/services/DirectoryFiles.service";
declare const _default: {
    name: string;
    emits: string[];
    components: {
        InputForm: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    props: {
        id: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        invalid: {
            type: BooleanConstructor;
            default: boolean;
        };
        path: {
            type: StringConstructor;
            default: string;
        };
    };
    data: () => {
        isEditing: boolean;
        fileName: string;
        directoryFileService: DirectoryFilesService;
    };
    methods: {
        uploadFile(event: any): Promise<void>;
    };
};
export default _default;
