import { Index } from '../resolve/Index.class';
import { MatchProperty } from '../resolve/MatchProperty.class';
import { Attribute } from "../Attribute.interface";
import { Datasource } from '../resolve/Datasource.interface';
export class Configuration {
    match_threshold:         number;
    index:                   Index;
    match_properties:        MatchProperty[];
    datasources:             Datasource[];
    execution:               Attribute[];
    consideration_threshold: number;
    constructor(){
        this.index = new Index();
        this.match_properties = [];
        this.datasources = [];
        this.execution = [];
        this.match_threshold = 0.90;
        this.consideration_threshold = 0.0;
    }
}