declare const _default: {
    name: string;
    components: {
        FileBrowser: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        InputRegularExpresion: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    props: {
        id: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        attribute: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        checked: {
            type: StringConstructor;
            default: string;
        };
        group: {
            type: StringConstructor;
            default: string;
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: StringConstructor;
            default: string;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
        typeSelect: {
            type: StringConstructor;
            default: string;
        };
        regex: {
            type: StringConstructor;
            default: string;
        };
        sampleFile: {
            type: StringConstructor;
            default: string;
        };
        taskName: {
            type: StringConstructor;
            default: string;
        };
        taskDescription: {
            type: StringConstructor;
            default: string;
        };
        invalid: {
            type: BooleanConstructor;
            default: boolean;
        };
        resetFilePath: {
            type: BooleanConstructor;
            required: boolean;
            default: boolean;
        };
    };
    methods: {
        updateSample(value: string): void;
        updateRegex(value: string): void;
        showFileBrowser(): void;
        cancelFileBrowser(): void;
        selectFileBrowser(data: string): void;
    };
    data: () => {
        showFileBrowserModal: boolean;
        sourcePath: string;
        resetFilePathControl: boolean;
    };
    watch: {
        value: (value: any) => void;
        resetFilePath: (value: boolean) => void;
    };
    computed: {
        type(): any;
    };
    mounted(): void;
};
export default _default;
