import "../../assets/bootstrap/css/bootstrap.min.css";
import "../../assets/fonts/fontawesome-all.min.css";
import "../../assets/fonts/font-awesome.min.css";
import "../../assets/fonts/fontawesome5-overrides.min.css";
import "../../assets/css/datatables/datatables.min.css";
import "../../assets/css/datatables/fixedColumns.bootstrap4.min.css";
import "../../assets/css/uno-dq.css";
declare const _default: {
    name: string;
    props: {
        showTable: {
            default: boolean;
            type: BooleanConstructor;
        };
        headers: any[];
        rows: any[];
        isColumnFixedLeft: {
            default: boolean;
            type: BooleanConstructor;
        };
        isHeaderFixed: {
            default: boolean;
            type: BooleanConstructor;
        };
        columnEvent: {
            default: number;
            type: NumberConstructor;
        };
        hasColumnEvent: {
            default: boolean;
            type: BooleanConstructor;
        };
        selectedRow: {
            default: number;
            type: NumberConstructor;
        };
    };
    data: () => {};
    mounted(): void;
    methods: {
        sendClick(indexColumn: Number, indexRow: Number): void;
    };
};
export default _default;
